Subject: Re: [PATCH net-next 1/4] net: allow large number of rx queues

From: Pankaj Gupta <[email-masked]>
Date: Thu, 20 Nov 2014 11:31:28 -0500 (EST)

> On Tue, Nov 18, 2014 at 8:22 AM, Pankaj Gupta <[email-masked]> wrote:
> >
> > As vmalloc() adds overhead on a critical network path,
> > __GFP_REPEAT flag is used with kzalloc() to do this fallback
> > only when really needed.
> >
> 
> Are you sure we need __GFP_REPEAT? We have vmalloc() as
> fallback of kmalloc() in many places of networking (grep kvfree),
> none of those I checked has this flag set.

Its there in netif_alloc_netdev_queues() function in same file.
Also, I found it some other places as well.
I think its good to have.